WHATIS(1) | General Commands Manual | WHATIS(1)

# NAME

`whatis` —
describe what a command is

# SYNOPSIS

`whatis` | [`-C` path] command ...

# DESCRIPTION

The `whatis` program queries the apropos database built by makemandb(8). It searches for manual pages with name command and outputs name of the matching manual pages along with the section and the brief description from the NAME section.

It supports the following options:

`-C` path
  Use different man(1) configuration file than the default, /etc/man.conf.

# FILES

/etc/man.conf
  The location of the SQLite FTS database can be configured using the `_mandb` tag.

# SEE ALSO

apropos(1), man(1), man.conf(5), makemandb(8)

# HISTORY

The `whatis` command appeared in 3.0BSD. It was rewritten in NetBSD 6.0 to use the SQLite index created by makemandb(8).

June 16, 2016 | NetBSD 10.0